﻿@model eCommerce.UI.ViewModels.Shop.ProductViewModel
@using eCommerce.Services.Utils
@using eCommerce.Services.Security
@using eCommerce.Services.Model.Enums
@using eCommerce.UI.ViewModels

@{
    ViewBag.Title = Model.CategoryName + " - " + Model.Title;
    ViewBag.Description = Model.Description;
    ViewBag.Image = Model.Images.Any() ? Model.Images.FirstOrDefault().ResizedUrl : string.Empty;
    ViewBag.Url = Utility.WebUrl + Model.Url;
}

<style>
    .slick-track{
        margin: 0;
    }
</style>

@*<div class="shop">
    @Html.Partial("BreadCrumb", new BreadCrumbViewModel { CategoryName = Model.CategoryName, CategorySeoUrl = Model.CategorySeoUrl, Product = Model })
</div>*@

<div class="product-detail js-product-detail">
    <input type="hidden" id="productId" value="@Model.Id" />
    @*<div class="product-detail__top">
        <a href="@Model.CategoryUrl" class="product-top__action"><i class="fas fa-chevron-left" style="font-size:14px;margin-right: 5px;"></i> Volver al Shop</a>
    </div>*@
<div class="product-detail__header">
    <div class="product-detail__header-content">

        <h1 class="product-detail__title">@Model.Title</h1>
        <span class="line hidden-xs"></span>
        @*<p class="product-detail__code hidden-xs">Código @Model.Code</p>*@
    </div>

    @*<p class="product-detail__code visible-xs">Código @Model.Code</p>*@

    @*<p class="product-detail__cloth">Tela: @Model.Cloth</p>*@
</div>
    <div class="product-detail__content">

        @{
            var Images = Model.Images.Where(x => x.Orientation == (int)ImageOrientationEnum.Portrait).ToList();
            if (Images.Any(x => x.Default))
            {
                Images = Images.OrderByDescending(x => x.Default).ThenByDescending(x => x.ColorId == Images.FirstOrDefault(d => d.Default).ColorId).ThenBy(x => x.ColorId).ToList();
            }
        }
        @*<div class="product-detail__image-thumbs js-thumbnails-container">
            @foreach (var item in Images)
            {
                <div class="product-image__thumb js-thumbnail" data-id="@item.Id" data-color="@item.ColorId">
                    <div class="product-image__thumb-image" style="background-image: url(@item.ResizedUrl)"></div>
                </div>
            }
        </div>*@

        <div class="product-detail__image">
            <div class="product-image__main js-image-slider">
                @foreach (var item in Images)
                {
                    <div class="product-image__slide zoom-image" data-id="@item.Id" data-color-id="@item.ColorId">
                        <div>
                            <div style="background-image: url(@item.Url)"></div>
                        </div>
                    </div>
                }
            </div>

            @*@if (Model.OnSale)
                {
                    <img class="product-detail__image__onSale-label" src="~/Content/images/Etiqueta-OnSale.png" />
                }

                @if (!string.IsNullOrEmpty(Model.Pay_x_get_y_promotion))
                {
                    <div class="product-detail__image__pay_x_get_y-label">@Model.Pay_x_get_y_promotion</div>
                }*@

        </div>

        <div class="product-detail js-margin-width product-detail__info">


            <div class="product-detail__descriptionbox">
                <p>Características principales</p>
                <p class="product-detail__description-product-content__text"> @Model.Description</p>
            </div>

            @*<div class="product-detail__size-guide">
            <a href="/Content/assets/images/TablaDeTalles-JeansElastizados.jpg" id="open-size-guide" class="cboxElement" target="_blank">Guia de talles</a>
        </div>*@



            <div class="product-detail__description">
                <div class="product-detail__price">
                    <p>Precio </p>
                    <p>></p>
                </div>
                @if (Model.PriceDifference.HasValue)
                {
                    <div class="discount-porcentaje">
                        <p>$@Model.OldPrice</p>
                        <p>></p>
                    </div>
                }
                <span class="product-detail__price">
                    <p class="js-price-wholesaler">@Model.Price.Value.ToString("c2")</p>
                </span>

            </div>
            @*<div class="product-detail__table-title js-color-title">Color: <span class="current-color-name"></span> </div>*@
            <div class="product-detail__table-description-color">
                <ul class="product-detail__description-color">
                    @{
                        var Colors = Model.ColorList_Detail.Distinct();
                        Colors = Colors
                                .OrderByDescending(x => Images.Select(s => s.ColorId).Contains(x.ColorId))
                                .ThenBy(x => x.ColorId).ToList();
                        {
                            Colors = Colors
                            .OrderByDescending(x => x.ColorId == Images.FirstOrDefault(s => s.Default).ColorId)
                            .ThenByDescending(x => Images.Select(s => s.ColorId).Contains(x.ColorId))
                            .ThenBy(x => x.ColorId).ToList();
                        }
                    }
                    <span>Colores: </span>
                    @if (Colors.Count() > 0)
                    {
                        foreach (var color in Colors)
                        {
                            var iswhite = color.ColorId == 830 || color.Description.ToLower().Contains("blanco");
                            if (!color.Enabled)
                            {
                                <li class="color__item" data-color-id="@color.ColorId" data-color-name="@color.Description" style="pointer-events: none;">
                                    <span class="color__ball" style="background-image:url(@Utility.ImgUrl/Colors/@color.ColorId/@color.ColorThumb); @(iswhite ? "border:1px solid #000;" : string.Empty)" title="@color.Description"></span>
                                    <span style="background: url(https://www.plume.com.ar/content/icons/TalleTachado.png);background-size: 100%;background-repeat: no-repeat;position: relative;width: 100%;top: 20px;left: 5px;height: 30px;display: block;margin-top: -137%;margin-left: -96%;pointer-events: none;z-index: 999999;"></span>
                                </li>
                            }
                            else
                            {
                                <li class="color__item" data-color-id="@color.ColorId" data-color-name="@color.Description">
                                    <span class="color__ball" style="background-image:url(@Utility.ImgUrl/Colors/@color.ColorId/@color.ColorThumb); @(iswhite ? "border:1px solid #000;" : string.Empty)" title="@color.Description"></span>
                                </li>
                            }
                        }
                    }
                    else
                    {
                        <li class="color__item" data-color-id="" data-color-name="" style="pointer-events: none;">
                            @*<span class="color__ball" style="background-image:url(@Utility.ImgUrl/Colors/@color.ColorId/@color.ColorThumb); @(iswhite ? "border:1px solid #000;" : string.Empty)" title="@color.Description"></span>*@
                            <span style="background: url(https://www.plume.com.ar/content/icons/TalleTachado.png);background-size: 64%;background-repeat: no-repeat;position: relative;width: 150%;top: 20px;left: 5px;height: 30px;display: block;margin-top: -120%;margin-left: -96%;pointer-events: none;z-index: 999999;"></span>
                        </li>
                    }
                </ul>
            </div>
            <div class="product-detail__settings">


                <div class="custom-select-wrapper">
                    <div class="custom-select custom-presentation-select">
                        <div class="custom-select__trigger">
                            <span class="title_select">Elegir tamaño</span>
                            <i class="fa fa-chevron-down" style="font-weight: 100;font-size: 10px;"></i>
                        </div>
                        <div class="custom-options js-size-options ">
                            <span class="custom-option selected hidden" data-value="0">0</span>
                            @foreach (var size in Model.SizeList.Distinct().Where(x => x.Stocks.Any(s => s.StockVirtual > 0)))
                            {
                                <span class="custom-option" data-value="@size.SizeId">@size.Description</span>
                            }

                        </div>
                    </div>
                </div>

                <div class="custom-select-wrapper">
                    <div class="custom-select custom-color-select">
                        <div class="custom-select__trigger">
                            <span class="title_select">Cantidad</span>
                            <i class="fa fa-chevron-down" style="font-weight: 100;font-size: 10px;"></i>
                        </div>
                        <div class="custom-options js-quantity-options">
                            <span class="custom-option selected hidden" data-value="0">0</span>
                            @for (int i = 1; i <= 100; i++)
                            {
                                <span class="custom-option" data-value="@i">@i</span>
                            }

                        </div>
                    </div>
                </div>
            </div>



            @*<div class="product-detail__size">
            <span class="size__text">Talle:</span>

            <ul class="size__list js-sizes"></ul>
        </div>*@


            @*<div class="product-detail__quantity">
            <div class="product-detail__quantity-title">Cantidad: </div>
            <div class="quantity__select">
                <div class="button-quantity">
                    <button onclick="this.parentNode.parentNode.querySelector('input[type=number]').stepDown()" class="minus">-</button>
                </div>
                <input class="quantity_input" min="0" name="quantity" value="1" type="number">
                <div class="button-quantity">
                    <button onclick="this.parentNode.parentNode.querySelector('input[type=number]').stepUp()" class="plus">+</button>
                </div>
            </div>
        </div>*@

            @*<div class="product-detail__quantity">
            <span class="quantity__text">Cantidad</span>

            <select class="quantity__select">
                @for (int i = 1; i <= 100; i++)
                {
                    <option value="@i">@i</option>
                }
            </select>
        </div>*@

            @*<table class="table " id="productsTable" style="width:100%; font-size:1.4rem; margin-top: 2rem;">
            <thead style="background-color: #cacccb;">
                <tr>
                    <th style="white-space:nowrap;">Color/ Talle</th>

                    @foreach (var size in Model.SizeList.Where(x => x.Stocks.Any(s => s.StockVirtual > 0)))
                    {
                        <th style="width: 100px; text-align:center;">
                            <input type="hidden" value="@size.SizeId" />
                            <span value="@size.SizeId">@size.Description</span>
                        </th>
                    }

                </tr>
            </thead>
            <tbody>
                @{int i = 1;}
                @foreach (var color in Model.ColorList)
                {
                    var iswhite = color.ColorId == 830 || color.Description.ToLower().Contains("blanco");
                    <tr>
                        <td class="color__item--mayorista" data-color-id="@color.ColorId" data-color-name="@color.Description">
                            <input type="hidden" value="@color.ColorId" class="js-table-color" />
                            <span class="color__ball" style="background-image:url(@Utility.ImgUrl/Colors/@color.ColorId/@color.ColorThumb);margin-right: 5px; @(iswhite ? "border:1px solid #000;" : string.Empty)"></span>
                            <span>@color.Description</span>
                        </td>
                        @foreach (var size in Model.SizeList.Where(x => x.Stocks.Any(s => s.ColorId == color.ColorId)))
                        {
                            if (size.Stocks.Any(x => x.StockVirtual > 0 && x.ColorId == color.ColorId && x.SizeId == size.SizeId && x.ProductId == Model.Id))
                            {
                                <td style="width:50px;">
                                    <input style="width:50px; display:block; margin-right:auto; margin-left:auto; text-align:center;" type="number" value="" placeholder="0" class="js-quantity" data-color-id="@color.ColorId" data-size-id="@size.SizeId" data-color-size="@color.ColorId-@size.SizeId" />
                                </td>
                            }
                            else
                            {
                                <td style="width:50px;">
                                    <input style="width:50px; display:block; margin-right:auto; margin-left:auto; text-align:center;" type="number" class="js-quantity" data-color-id="@color.ColorId" data-size-id="@size.SizeId" disabled />
                                </td>
                            }
                        }
                    </tr>
                }
            </tbody>
        </table>

        <div class="total-price-table">
            <span class="totalPrice js-total-price">Total:  $0,00</span>
        </div>*@

            <input type="hidden" name="color" id="color_input" value="@Model.ColorList_Detail.FirstOrDefault().ColorId" />




            <div class="product-detail__button-section">
                <button type="button" class="button product-detail__button">AGREGAR AL CARRITO</button>
            </div>












        </div>



    </div>
    @{ Html.RenderAction("RelatedProducts", "Modules", new { ProductId = Model.Id }); }
</div>

<template id="SizeItemTemplate">
    <li class="size__item js-size" data-size-id="{Id}">
        <span>{Name}</span>
    </li>
</template>

<div class="popout js-product-popup js-popup-sizeguide">
    <div class="popout__content">
        <div class="sizeguide-container" style="cursor:pointer;">
            @if (!string.IsNullOrEmpty(Model.SizeTableUrl))
            {
                <img src="~/Content/images/GuiaDeTalles-@(Model.SizeTableUrl).jpg" />
            }
        </div>
    </div>
    <div class="popout__close">&times;</div>
</div>

<div class="popout js-popout-shipping">
    <div class="popout__content">
        <div class="--raw">
            @Html.Raw(Model.ShippingInformation)
        </div>
    </div>
    <div class="popout__close">&times;</div>
</div>

<div class="popout js-popout-exchanges">
    <div class="popout__content">
        <div class="--raw">
            @Html.Raw(Model.ExchangeAndRefundsInformation)
        </div>
    </div>
    <div class="popout__close">&times;</div>
</div>

<div class="popout js-product-popup js-popup-wishlist">
    <div class="popout__content">
        <div class="loader"><div></div><div></div><div></div><div></div></div>
    </div>
    <div class="popout__close">&times;</div>
</div>

<input type="hidden" class="js-price-wholesaler" value="@Model.Price" />

@section Scripts{
    <link rel="stylesheet" href="/content/assets/css/owl.carousel.css">
    <link rel="stylesheet" href="/content/assets/css/owl.transitions.css">
    <link rel="stylesheet" href="/content/assets/css/animate.min.css">
    <script src="/Scripts/jquery.elevatezoom.js"></script>
    <script src="/content/js/jquery.zoom.js"></script>
    <script src="/content/js/jquery.zoom.min.js"></script>
    <script>
        var $slider = $('.js-image-slider');
        var isMobile = $(window).width() < 767;
        var isRetail = window.location.href.indexOf("minoristas") > -1;

        for (const dropdown of document.querySelectorAll(".custom-select-wrapper")) {
            dropdown.addEventListener('click', function () {
                this.querySelector('.custom-select').classList.toggle('open');
            })
        }



        window.addEventListener('click', function (e) {
            for (const select of document.querySelectorAll('.custom-select')) {
                if (!select.contains(e.target)) {
                    select.classList.remove('open');
                }
            }
        });


        for (const option of document.querySelectorAll(".custom-option")) {
            option.addEventListener('click', function () {
                if (!this.classList.contains('selected')) {
                    this.parentNode.querySelector('.custom-option.selected').classList.remove('selected');
                    this.classList.add('selected');
                    this.closest('.custom-select').querySelector('.custom-select__trigger span').textContent = this.textContent;
                }

                if ($(this).parent().hasClass("js-size-options")) {
                    var sizeId = $(this).data("value");
                    var productId = $('#productId').val();

                    $.ajax({
                        url: "/ShoppingCart/GetPriceDifference",
                        dataType: "json",
                        data: { ProductId: parseInt(productId), SizeId: sizeId },
                        success: function (data) {

                            //console.log(data.sizes);
                            $(".js-price-wholesaler").text("$" + data.sizes);
                            //product-detail__price
                        }
                    });
                }
            })
        }

        $(window).on('resize', function () {
            UpdateThumbnailsHeight();
        });

        function UpdateThumbnailsHeight() {
            var height = $('.js-image-slider').height();
            var $thumbs = $('.js-thumbnails-container').height(height);
        }

        $('.js-extra-info').click(function () {
            var $modal = $('.js-popout-extra-info')
            ToggleModal($modal);
        });

        $('.js-deliveries').click(function () {
            var $modal = $('.js-popout-deliveries')
            ToggleModal($modal);
        });

        $('body').on('click', '#guiatalles', function () {
            var $popup = $('.js-popup-sizeguide');

            ToggleModal($popup);
        });

        $('body').on('click', '.share', function () {
            $(this).find('.compartir').toggleClass('hide');
        });

        $('.js-shipping').click(function () {
            var $modal = $('.js-popout-shipping')
            ToggleModal($modal);
        });


        $('.js-exchanges').click(function () {
            var $modal = $('.js-popout-exchanges')
            ToggleModal($modal);
        });

        function discount() {

            var discount = $(".product-detail__image__offer-label").text();
            discount = discount.replace("-", "");
            $(".product-detail__image__offer-label").text(discount);
        }

        $(document).ready(function () {
            //$("#open-size-guide").colorbox({ transition: "none", height: "100%", title: false, opacity: 0.65, slideshow: false, current: function () { return $(this).parent().next().text() } });

            LoadFirstSizeList();
            LoadFirstColor();

            //LoadFirstSize();
            LoadSocialLinks();
            UpdateProductLinks();
            discount();

            if (!isRetail) {

                $('.js-margin-width').addClass('margin-width');
            }

            setTimeout(function () {

                UpdateThumbnailsHeight();

            }, 4000);

            // Related products sliders
            $('.js-product-slider').slick({
                fade: true
            });

            $('.js-product-color').click(function () {
                var colorId = $(this).data('colorId');
                var $slider = $(this).closest('.js-product-item').find('.js-product-slider');

                var index = -1;
                var counter = 0;
                $slider.find('.product-image__slide').each(function () {
                    if ($(this).data('colorId') == colorId) {
                        index = counter;
                    }
                    counter++;
                });

                if (index == -1) return;
                $slider.slick('slickGoTo', index);
            });;
        });

        function LoadFirstSizeList() {
            var colorId = $('.color__item').first().data('colorId');
            LoadSizes(colorId);
        }

        function LoadFirstSize() {
            $('.js-size').first().addClass('size__item--selected');
        }

        function UpdateProductLinks() {
            var query = $.query.toString();
            $('.js-product-link').each(function () {
                var url = $(this).attr('href');
                url = url + query;
                $(this).attr('href', url);
            });
        }

        $(".js-quantity").change(function () {
            if ($(this).val() == "") {
                $(this).val(0);
                SetTotalPrice();
            } else {
                SetTotalPrice();
            }
        });

        $(".js-quantity").click(function () {
            if ($(window).width() <= 767) {
                if ($(this).val() == "") {
                    $(this).val(1);
                    SetTotalPrice();
                } else {
                    SetTotalPrice();
                }
            }

        });

        function SetTotalPrice() {

            //var price = parseFloat($(".js-price").val());
            var value = $(".js-price-wholesaler").val();
            var price = parseFloat(value);
            var $totalPrice = $('.js-total-price');
            var quantity = 0;
            $(".js-quantity").each(function (index, elem) {
                if (!$(this).val() == "") {
                    quantity += parseInt($(elem).val());
                }
            });
            var totalPrice = quantity * price;
            $totalPrice.text(totalPrice).formatCurrency();
            var text = $totalPrice.text();
            $totalPrice.text("Total: " + text);
        }

        if (!isMobile) {
            $('.zoom-image').zoom({
                onZoomIn: true,
                onZoomOut: true,
                magnify: 0.2,
            });
        }

        function LoadFirstColor() {
            var $slider = $('.js-image-slider');
            var slick = $slider.slick('getSlick');
            var slide = slick.$slides[0];
            var imageId = $(slide).find('.product-image__slide').data('id');

            SwitchSlide(imageId);

            var $elem = $('.color__item').first();
            var colorId = $elem.data('colorId');
            //var colorName = $elem.data('color-name');

            //SwitchSlide(undefined, colorId);
            $elem.find('.color__ball').addClass('color__ball--selected');
            //$('.color__current-name').text(colorName);

            //$('.js-thumbnail[data-color=' + colorId + ']').addClass('product-image__thumb--active');

        }

        function LoadSocialLinks() {
            var fb_url = encodeURIComponent(location.href);
            $('.js-fb').attr('href', 'https://www.facebook.com/sharer.php?u=' + fb_url);

            var tw_url = encodeURIComponent(location.href);
            var tw_text = 'Fibrahumana - ' + encodeURIComponent('@Model.Title');

            $('.js-tw').attr('href', 'https://twitter.com/intent/tweet?text=' + tw_text + '&url=' + tw_url);
        }


        $slider.on('init', function () {
            UpdateThumbnailsHeight();
        });

        if (!isMobile) {
            var $slider = $('.js-image-slider').slick({
                speed: 500,
                fade: true,
                focusOnSelect: true,
                arrows: true,
            });
        } else {
            var $slider = $('.js-image-slider').slick({
                speed: 500,
                fade: true,
                arrows: true,
            });
        }



        $('.js-thumbnail').click(function () {
            //var colorId = $(this).data('color');
            var imageId = $(this).data('id');

            SwitchSlide(imageId);
        });

        $('.color__item').click(function () {
            var colorName = $(this).data('color-name');
            $(".current-color-name").text(colorName)

            var colorId = $(this).data('color-id');

            SwitchSlide(undefined, colorId);
            LoadSizes(colorId);
        });

        function LoadSizes(colorId) {
            var productId = $('#productId').val();

            $.ajax({
                url: "/ShoppingCart/GetSizes",
                dataType: "json",
                data: { ProductId: productId, ColorId: colorId },
                success: function (data) {
                    $('.js-sizes').html('');
                    $.each(data.sizes, function (i, size) {
                        var $template = $('#SizeItemTemplate').html();
                        if (size.SoldOut) {
                            debugger;
                            $template = $template.replace(/{Id}/g, size.Id);
                            $template = $template.replace(/{Name}/g, size.Name);
                            $('.js-sizes').append($template);
                            if (size.Id != 320) {
                                $('li[data-size-id="' + size.Id + '"]').css({
                                    'background': 'url(https://www.plume.com.ar/content/icons/TalleTachado.png)',
                                    'background-position': 'center',
                                    'background-size': '70%',
                                    'background-repeat': 'no-repeat',
                                    'pointer-events': 'none'
                                });
                            }

                        } else {
                            $template = $template.replace(/{Id}/g, size.Id);
                            $template = $template.replace(/{Name}/g, size.Name);
                            $('.js-sizes').append($template);
                        }
                    });
                    SizesEvents();
                    $('.js-size').first().click();
                }
            });
        }

        function SizesEvents() {
            $('.size__item').click(function () {
                var elem = $(this);

                $('.size__item').each(function () {
                    $(this).removeClass('size__item--selected');
                });

                elem.addClass('size__item--selected');

            });
        }


        var is_animating = false;

        $slider.on('afterChange', function () {
            is_animating = false;
            //var colorId = $('.slick-slide.slick-active').find('.product-image__slide').data('colorId');
            var $slider = $('.js-image-slider');
            var slick = $slider.slick('getSlick');
            var slide = slick.$slides[slick.currentSlide];

            var imageId = $(slide).find('.product-image__slide').data('id');

            SwitchSlide(imageId);
        });

        $slider.on('beforeChange', function () {
            is_animating = true;
        });

        function SwitchSlide(imageId, colorId) {
            if (is_animating) return;

            var $slider = $('.js-image-slider');

            var index = -1;
            var counter = 0;
            $slider.find('.product-image__slide').each(function () {
                if (typeof imageId !== "undefined") {
                    if ($(this).data('id') == imageId) {
                        index = counter;
                        return false;
                    }
                } else {
                    if ($(this).data('colorId') == colorId) {
                        index = counter;
                        return false;
                    }
                }

                counter++;
            });

            if (index > -1)
                $slider.slick('slickGoTo', index);

            var slick = $slider.slick('getSlick');
            var slide = slick.$slides[slick.currentSlide];

            if (typeof colorId === "undefined")
                colorId = $(slide).find('.product-image__slide').data('colorId');

            $('.color__item').each(function () {
                $(this).removeClass('color__item--selected');
            });

            // Set active color ball
            var $color = $('.color__item[data-color-id=' + colorId + ']');
            var colorName = $color.data('colorName');

            //$color.find('.color__item').addClass('color__item--selected');
            $color.addClass('color__item--selected');

            if (colorName != null)
                $('.color__current-name').text(colorName);

            // Set active image thumbnail
            if (index > -1) {
                $('.js-thumbnail').each(function () {
                    $(this).removeClass('product-image__thumb--active');
                });

                if (typeof imageId !== "undefined") {
                    $('.js-thumbnail[data-id=' + imageId + ']').first().addClass('product-image__thumb--active');
                } else {
                    $('.js-thumbnail[data-color=' + colorId + ']').first().addClass('product-image__thumb--active');
                }
            }
        }

        



        $('.product-detail__button').click(function () {

            debugger;
            //$('.product-detail__button').off("click");
            $('.product-detail__button').prop("disabled", true);
            $('.product-detail__button').text("Agregando...");

            var selectedColor = $('.color__item--selected');
            var selectedSize = $('.js-size-options').find(".custom-option.selected");

            var colorId = selectedColor.data('color-id');
            var sizeId = selectedSize.data('value');
            var productId = $('#productId').val();

            var cantidad = $('.js-quantity-options').find(".custom-option.selected").data('value');
            if (cantidad == undefined) {
                cantidad = 1;
            }

            if (sizeId != null && colorId != null) {
                $.ajax({
                    dataType: "json",
                    cache: false,
                    url: "/ShoppingCart/AddOrderDetail",
                    data: { idProducto: productId, SizeId: sizeId, ColorId: colorId, cantidad: cantidad, sumar: true },
                    success: function (data) {
                        debugger;

                        $('.product-detail__button').prop("disabled", false);
                        $('.product-detail__button').text("Agregar al carrito");

                        if (data.IsApproved) {
                            updateCart(data.TotalItemsCount);
                            GetCartModal();
                            toastr.success("Hecho! Agregaste el producto a tu compra.");

                            //window.location.href = '/shopping-cart';
                        }
                        else {

                            toastr.warning(data.Message);
                        }
                    }
                });
            }
            else {
                $('.product-detail__button').prop("disabled", false);
                $('.product-detail__button').text("Agregar al carrito");
                toastr.options = {
                    "positionClass": "toast-top-right",
                    "fadeIn": 200,
                    "fadeOut": 300,
                    "timeOut": 3000,
                    "extendedTimeOut": 1500
                }

                $(".js-color-title, js-color-size").css("color", "#fe0000");
                toastr.warning("Elija un color y un talle.");
            }


            //var productId = $('#productId').val();

            //var quantity = $(".js-quantity");
            //var OrderDetails = [];
            //var noStock = [];

            //quantity.each(function () {
            //    if ($(this).val() && $(this).val() > 0) {
            //        var odObj = new Object();
            //        odObj.sizeId = $(this).data('sizeId');
            //        odObj.colorId = $(this).data('colorId');
            //        odObj.quantity = $(this).val();
            //        OrderDetails.push(odObj);
            //    }
            //});

            //var OdJson = JSON.stringify(OrderDetails);
            //var NsJSON = JSON.stringify(noStock);

            //if (OrderDetails != []) {
            //    $.ajax({
            //        type: "POST",
            //        cache: false,
            //        url: "/ShoppingCart/ValidateTable",
            //        data: { idProducto: productId, orderDetailsJson: OdJson },
            //        success: function (data) {

            //            if (!data.IsApproved) {
            //                toastr.warning(data.Message);

            //                if (data.NoStockItems && data.NoStockItems.length > 0) {
            //                    $.each(data.NoStockItems, function (i, item) {
            //                        $("[data-color-size='" + item.ColorId + "-" + item.SizeId + "']").css("border-color", "red");
            //                    });
            //                }

            //                $('.js-quantity').focus(function () {
            //                    $('.js-quantity').css("border-color", "black");
            //                });
            //            }

            //            if (data.IsApproved) {
            //                $.ajax({
            //                    url: "/ShoppingCart/AddOrderDetailTable",
            //                    dataType: "json",
            //                    data: { idProducto: productId, orderDetailsJson: OdJson, sumar: true },
            //                    success: function (result) {
            //                        updateCart(result.TotalItemsCount);
            //                        GetCartModal();
            //                        toastr.success("Hecho! Agregaste el producto a tu compra.");
            //                    }
            //                });
            //            }
            //        }
            //    });
            //}
            //else {

            //    toastr.options = {
            //        "positionClass": "toast-top-right",
            //        "fadeIn": 300,
            //        "fadeOut": 500,
            //        //"timeOut": 3000,
            //        "timeOut": 99999999999999999999999999999999999,
            //        //"extendedTimeOut": 1000
            //        "extendedTimeOut": 99999999999999999999999999999999999
            //    }
            //    toastr.warning('Seleccione un talle y un color.');
            //}

        });

        //function GetColorSizeStock() {
        //    debugger;
        //    var selectedColor = $('.color__item--selected');
        //    var selectedSize = $('.size__item--selected');
        //    var colorId = selectedColor.data('color-id');
        //    var sizeId = selectedSize.data('size-id');
        //    var productId = $('#productId').val();
        //    var colorName = selectedColor.find("span").attr("title");

        //    if (!colorId)
        //        colorId = $('.color__item').first().data('colorId');

        //    if (selectedColor && colorName)
        //        $(".current-color-name").text(colorName);

        //    $.ajax({
        //        dataType: "json",
        //        cache: false,
        //        url: "/ShoppingCart/GetColorSizeStock",
        //        data: { ProductId: productId, SizeId: sizeId, ColorId: colorId },
        //        success: function (data) {

        //            if (data.Stock && data.Stock > 0) {
        //                for (var i = 1; i <= data.Stock; i++) {
        //                    $(".quantity__select").append('<option value="' + i + '">' + i + '</option>');
        //                }
        //            }
        //        }
        //    });
        //}


    </script>


}